#!/bin/sh

#  This sample program is provided AS IS and may be used, executed, copied and modified
#  without royalty payment by customer
#  (a) for its own instruction and study,
#  (b) in order to develop applications designed to run with an IBM WebSphere product,
#  either for customer's own internal use or for redistribution by customer, as part of such an
#  application, in customer's own products.
#  Licensed Materials - Property of IBM
#  5724-J34 (C) COPYRIGHT International Business Machines Corp. 2009, 2012

# *********************************************************
# ***    As needed, uncomment the following line and    ***
# ***    change JAVA_HOME to match your environment     ***
# *********************************************************
# JAVA_HOME="/opt/java"

# *********************************************************
# *** The following variables do not need to be changed ***
# *********************************************************

# The path to the sample
SAMPLE_DIR=`dirname ${0}`
cd "${SAMPLE_DIR}"
SAMPLE_HOME=`pwd`

# The path to the ObjectGrid runtime root directory.
OBJECTGRID_HOME="${SAMPLE_HOME}/.."

# The path to the endorsed directory where the ORB is located.
OBJECTGRID_ENDORSED_DIRS="${OBJECTGRID_HOME}/lib/endorsed"

# The classpath for classes common to the client and server
SAMPLE_COMMON_CLASSPATH="${SAMPLE_HOME}/common/bin"

# The classpath for application client class files.
SAMPLE_CLIENT_CLASSPATH="${SAMPLE_COMMON_CLASSPATH}:${SAMPLE_HOME}/client/bin"

# The classpath for classes for the server
SAMPLE_SERVER_CLASSPATH="${SAMPLE_COMMON_CLASSPATH}:${SAMPLE_HOME}/server/bin"

# The ObjectGrid runtime class path.
OG_CLASSPATH="${OBJECTGRID_HOME}/properties:${OBJECTGRID_HOME}/lib/objectgrid.jar"

# The ObjectGrid runtime class path.
OGCLIENT_CLASSPATH="${OBJECTGRID_HOME}/properties:${OBJECTGRID_HOME}/lib/ogclient.jar"

#The ObjectGrid Session Library
OG_SESSION_CLASSPATH="${OBJECTGRID_HOME}\session\lib\sessionobjectgrid.jar"

# The location of the catalog server host in which the client will connect.
CATALOGSERVER_HOST=localhost

# The bootstrap port of the catalog server in which the client will connect.
CATALOGSERVER_PORT=2809

# The endpoints passed to the catalog server when started.
CATALOG_SERVICE_ENDPOINTS=cs0:localhost:6600:6601

# The catalog server name
CATALOG_SERVER_NAME=cs0

# The grid name
GRID_NAME=Grid

# The map name
MAP_NAME=Map1

# If JAVA_HOME is not defined above or external to this script.
if [ -z "$JAVA_HOME" ]
then
    JAVA_HOME="${OBJECTGRID_HOME}/../java"
fi


if [ ! -d ${JAVA_HOME} ]; then
    echo "ERROR: ${JAVA_HOME} does not exist. JAVA_HOME is not set correctly."
    exit 1
fi

if [ -d "${JAVA_HOME}/jre" ]; then
    JDK_DEFAULT_ENDORSED_DIRS="${JAVA_HOME}/jre/lib/endorsed"
else 
    JDK_DEFAULT_ENDORSED_DIRS="${JAVA_HOME}/lib/endorsed"
fi;

# The path and filename of the Java executable.
if [ -f ${JAVA_HOME}/jre/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/bin/java"
fi

if [ ! -f ${JAVA_EXE} ]; then
	echo "Change or set the JAVA_HOME environment variable to a valid Java Runtime Environment directory."
	exit
fi

PATH="${JAVA_HOME}"/ibm_bin:"${JAVA_HOME}"/bin/:"${JAVA_HOME}"/jre/bin:$PATH

if [ -z "${OBJECTGRID_ENDORSED_DIRS}" ]; then
    JAVA_ENDORSED_DIRS="-Djava.endorsed.dirs=${JDK_DEFAULT_ENDORSED_DIRS}"
else 
    JAVA_ENDORSED_DIRS="-Djava.endorsed.dirs=${OBJECTGRID_ENDORSED_DIRS}:${JDK_DEFAULT_ENDORSED_DIRS}"
fi;

export PATH JAVA_HOME OBJECTGRID_HOME OBJECTGRID_ENDORSED_DIRS JAVA_ENDORSED_DIRS SAMPLE_CLIENT_CLASSPATH SAMPLE_SERVER_CLASSPATH OG_CLASSPATH OGCLIENT_CLASSPATH OG_SESSION_CLASSPATH CATALOGSERVER_HOST CATALOGSERVER_PORT CATALOG_SERVICE_ENDPOINTS CATALOG_SERVER_NAME GRID_NAME MAP_NAME JAVA_EXE

